﻿using System;
using System.Windows.Forms;

namespace WebMessage
{
    public partial class FormMain : Form
    {
        public FormMain()
        {
            InitializeComponent();
        }

        private void FormMain_Load(object sender, EventArgs e)
        {
            webView.Uri = Environment.CurrentDirectory + "/demo.html";
            webView.Active = true;
        }

        private void buttonSend_Click(object sender, EventArgs e)
        {
            webView.PostWebMessage(textBoxSend.Text);
        }

        private void webView_WebMessageReceived(object sender, Winsoft.WebView.WebMessageReceivedEventArgs e)
        {
            textBox.AppendText(e.Message + Environment.NewLine);
        }

        private void FormMain_FormClosed(object sender, FormClosedEventArgs e)
        {
            webView.Active = false;
        }
    }
}
